This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 750

Summary: Forbid decompositions that depend on unsupported operations
Product: Eigen Reporter: Christoph Hertzberg <chtz>
Component: GeneralAssignee: Nobody <eigen.nobody>
Status: RESOLVED DUPLICATE    
Severity: Unknown CC: gael.guennebaud, jacob.benoit.1
Priority: Normal    
Version: 3.2   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 558, 949    

Description Christoph Hertzberg 2014-02-25 13:36:56 UTC
Currently, all decompositions can be called on integer matrices but usually generate bogus results, since they use floating point operations (division/sqrt) which are silently converted to integer results.
We should forbid such decompositions at compile-time.
Decompositions which only depend on division (LU/LDLt) should be allowed for rational-number implementations, however.
Comment 1 Gael Guennebaud 2014-10-20 13:58:40 UTC
At least, we should document the requirements on the Scalar types and explicitly list the common supported types.
Comment 2 Christoph Hertzberg 2015-03-13 21:05:50 UTC

*** This bug has been marked as a duplicate of bug 949 ***
Comment 3 Nobody 2019-12-04 13:02:15 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/750.